aim4.driver.coordinator

## Enum V2ICoordinator.State

- java.lang.Object
- - java.lang.Enum<V2ICoordinator.State>
  - - aim4.driver.coordinator.V2ICoordinator.State

- All Implemented Interfaces:
    Serializable, Comparable<V2ICoordinator.State>
  Enclosing class:
    V2ICoordinator

      public static enum V2ICoordinator.State
      extends Enum<V2ICoordinator.State>

  Potential states that a CoordinatingDriverAgent can be in. This is one aspect of how the two subagents, the Pilot and the Coordinator, communicate.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `V2I_AWAITING_RESPONSE` The agent has sent a reservation request and is awaiting a response from the IntersectionManager.
    `V2I_CLEARING` The agent has exited the intersection, but is still in the controlled zone after the intersection.
    `V2I_DEFAULT_DRIVING_BEHAVIOR` The agent simply follows the current lane and does not enter the intersection
    `V2I_LANE_CHANGE` The agent is considering whether it should change lane.
    `V2I_MAINTAINING_RESERVATION` The agent has received a confirmation from the IntersectionManager and must now attempt to keep that confirmed reservation.
    `V2I_PLANNING` The agent is planning what to do next
    `V2I_PREPARING_RESERVATION` The agent is determining what the parameters of the requested reservation will be.
    `V2I_TERMINAL_STATE` It signals the end of the interaction with the current V2I intersection manager.
    `V2I_TRAVERSING` The agent is crossing the intersection in accordance with the reservation it made with the IntersectionManager.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static V2ICoordinator.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static V2ICoordinator.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V2I_PLANNING

          public static final V2ICoordinator.State V2I_PLANNING

      The agent is planning what to do next

    - #### V2I_DEFAULT_DRIVING_BEHAVIOR

          public static final V2ICoordinator.State V2I_DEFAULT_DRIVING_BEHAVIOR

      The agent simply follows the current lane and does not enter the intersection

    - #### V2I_LANE_CHANGE

          public static final V2ICoordinator.State V2I_LANE_CHANGE

      The agent is considering whether it should change lane.

    - #### V2I_PREPARING_RESERVATION

          public static final V2ICoordinator.State V2I_PREPARING_RESERVATION

      The agent is determining what the parameters of the requested reservation will be.

    - #### V2I_AWAITING_RESPONSE

          public static final V2ICoordinator.State V2I_AWAITING_RESPONSE

      The agent has sent a reservation request and is awaiting a response from the IntersectionManager.

    - #### V2I_MAINTAINING_RESERVATION

          public static final V2ICoordinator.State V2I_MAINTAINING_RESERVATION

      The agent has received a confirmation from the IntersectionManager and must now attempt to keep that confirmed reservation.

    - #### V2I_TRAVERSING

          public static final V2ICoordinator.State V2I_TRAVERSING

      The agent is crossing the intersection in accordance with the reservation it made with the IntersectionManager.

    - #### V2I_CLEARING

          public static final V2ICoordinator.State V2I_CLEARING

      The agent has exited the intersection, but is still in the controlled zone after the intersection.

    - #### V2I_TERMINAL_STATE

          public static final V2ICoordinator.State V2I_TERMINAL_STATE

      It signals the end of the interaction with the current V2I intersection manager.

  - ### Method Detail

    - #### values

          public static V2ICoordinator.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (V2ICoordinator.State c : V2ICoordinator.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static V2ICoordinator.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.